Bug 1295363 - [QE](6.2.z)4 or more shadow variables might trigger cyclic source dependencies exception when that's not the case
[QE](6.2.z)4 or more shadow variables might trigger cyclic source dependencie...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: OptaPlanner (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: 6.2.1
Assigned To: Geoffrey De Smet
Lukáš Petrovický
:
Depends On:
Blocks: 1288021 1288023 1295518
  Show dependency treegraph
 
Reported: 2016-01-04 04:14 EST by jvahala
Modified: 2016-04-28 01:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295518 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jvahala 2016-01-04 04:14:51 EST
Description of problem:
see JIRA: https://issues.jboss.org/browse/PLANNER-490

as Geoffrey proposed, I would like to see this backported in 6.3x
Comment 2 Geoffrey De Smet 2016-01-04 05:37:43 EST
Fixed with this commit on 6.3.x
  https://github.com/droolsjbpm/optaplanner/commit/f1db72e5c
It was already fixed on master.
Comment 3 Geoffrey De Smet 2016-01-05 07:26:40 EST
*** Bug 1295518 has been marked as a duplicate of this bug. ***
Comment 4 Radovan Synek 2016-01-21 05:22:24 EST
Verified with BRMS-6.2.1

Note You need to log in before you can comment on or make changes to this bug.